#Modified at Fri Jul 30 14:09:47 GMT 2010

# Group=LS
# Description=The service type.
service.r.service_type=ma

# Group=eXist
# Description=URI address of the collection in the eXist DB that contains the metadata configuration file.
component.ma.xmldb.db_uri=xmldb:exist://localhost:8080/exist/xmlrpc/db/rrdmaconfig

# Group=Store
# Description=RRDTool parameter used while creating new rrd files (see RRDTool documentation for details).
service.ma.rrd.rrd_storage_manager_rrd_step_default=300

# Group=eXist
# Description=The user password for the eXist DB.
component.ma.xmldb.db_password=***************

# Group=LS
# Description=The description of the service.
service.r.service_description=MDM GEANT pS:RRD-MA FCCN

# Group=eXist
# Description=Determines whether the xmld db (eXist) is used as a storage for the metadata configuration file (on) or not (off). Currently only the value 'on' is needed to run the service correctly.
component.ma.xmldb.db_status=on

# Group=Store
# Description=RRDTool parameter used while creating new rrd files (see RRDTool documentation for details).
service.ma.rrd.rrd_storage_manager_rrd_DS_type_default=COUNTER:1800:0:10000000000000

# Group=eXist
# Description=The administrator password for the eXist DB.
component.ma.xmldb.db_adminpassword=**********

# Group=Internal
# Description=The path to the log4j.properties configuration file. If you want to enable syslog message logging, enter the path to the log4j.syslog.properties file instead.
service.log.log4j.config=/etc/geant2-java-rrd-ma/log4j.properties

# Group=Internal
# Description=The service name.
service.name=geant2-java-rrd-ma-3.1

# Group=LS
# Description=The URL address of the LS service.
service.r.ls_url=http://mdm01.fccn.pt:8080/geant2-java-xml-ls/services/LookupService

# Group=Internal
# Description=The type of service used to select the correct message handler implementation.
service.r.type=ma

# Group=Authentication
# Description=The URL address of the Authentication Service.
service.as.point=http://mdm01.fccn.pt:8080/geant2-java-as/services/AuthService

# Group=LS
# Description=The URL address of the service configured by this configuration file.
service.r.access_point=http://mdm01.fccn.pt:8080/geant2-java-rrd-ma/services/MeasurementArchiveService

# Group=LS
# Description=The name of the scheduler component (the implementation of this component must also be declared in the components.properties file).
component.registrator.scheduler_component=ma_scheduler

# Group=Internal
# Description=The java class file which implements the base chaining of requests.
service.ma.base_chaining_mergers=org.perfsonar.service.measurementArchive.rrdType.NMWGInterfaceBaseChaining

# Group=LS
# Description=Enter 'xmldb' to take metadata elements for register requests from the XML database, or 'file' to take them from the XML metadata configuration file.
service.ma.conf_file.store_type=xmldb

# Group=Store
# Description=Determines whether new data sent to the service is stored (on) or not (off).
service.ma.xmldb.db_store=off

# Group=LS
# Description=The time (miliseconds) between register requests to the LS service (default value is 43200000 ms; 12 hours).
component.registrator.interval=43200000

# Group=Internal
# Description=The java class file which implements the ServiceEngine interface.
service.ma.class_name=org.perfsonar.service.measurementArchive.rrdType.RRDTypeMAServiceEngine

# Group=Internal
# Description=A CSV of request message types supported by the service.
service.ma.message_types=MetadataKeyRequest,SetupDataRequest,EchoRequest,LookupInfoRequest

# Group=LS
# Description=The name of the organisation who is deploying the service.
service.r.organization_name=FCCN

# Group=Store
# Description=RRDTool parameter used while creating new rrd files (see RRDTool documentation for details).
service.ma.rrd.rrd_storage_manager_rrd_RRA_default=MAX:0.5:1:600,MAX:0.5:6:600,MAX:0.5:24:600,AVERAGE:0.5:288:600,AVERAGE:0.5:1:600,AVERAGE:0.5:24:600,MAX:0.5:288:600,AVERAGE:0.5:6:600

# Group=Internal
# Description=The path to the file objects.config, including the NMWG parser's configuration settings. The parser reads the request or metadata configuration files, and creates internally used objects that represent these files.
service.sax_parser.config=/usr/lib/perfsonar/services/geant2-java-rrd-ma/WEB-INF/classes/perfsonar/conf/objects.config

# Group=eXist
# Description=The username for the eXist DB.
component.ma.xmldb.db_username=rrdmaservice

# Group=Store
# Description=The directory where new rrd files are stored.
service.ma.rrd.xmldb.db_store.data_dir=/var/run/geant2-java-rrd-ma

# Group=eXist
# Description=The type of connection to the eXist DB (xmlrpc or http). The http type is not recommended when transfers of many data are expected.
component.ma.xmldb.db_access=xmlrpc

# Group=LS
# Description=The name of the service (can contain multiple words).
service.r.service_name=FCCN-RRD-MA

# Group=LS
# Description=The version number of the service.
service.r.service_version=3.1

# Group=Authentication
# Description=The types of messages for which authentication is to be enabled (if required).
service.as.authn_for_msg_types=SetupDataRequest,MetadataKeyRequest

# Group=Authentication
# Description=Determines if authentication is enabled (on) or not (off).
service.as.authn_active=off

# Group=Internal
# Description=The path to the metadata configuration file, including the file's name.
service.ma.conf_file=/etc/geant2-java-rrd-ma/rrd-database_FCCN.xml

# Group=LS
# Description=The email address of the person who manages the service.
service.r.contact_email=service.support@geant.net

# Group=eXist
# Description=Determines how the eXist DB is installed (webapp or stand-alone).
component.ma.xmldb.type=webapp

